com.google.gwt.core.ext.typeinfo

## Interface JAnnotationType

All Superinterfaces:
  HasAnnotations, JClassType, JRealClassType, JType

    public interface JAnnotationType
    extends JRealClassType

Type representing an annotation type.

### Method Summary

All Methods Instance Methods Abstract Methods
`JAnnotationMethod` `getMethod(java.lang.String name, JType[] paramTypes)`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JRealClassType

`getLastModifiedTime`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JClassType

`asParameterizationOf, findAnnotationInTypeHierarchy, findConstructor, findField, findMethod, findNestedType, getConstructor, getConstructors, getEnclosingType, getErasedType, getField, getFields, getFlattenedSupertypeHierarchy, getImplementedInterfaces, getInheritableMethods, getMethods, getName, getNestedType, getNestedTypes, getOracle, getOverloads, getOverridableMethods, getPackage, getSubtypes, getSuperclass, isAbstract, isAssignableFrom, isAssignableTo, isDefaultInstantiable, isEnhanced, isFinal, isMemberType, isPackageProtected, isPrivate, isProtected, isPublic, isStatic, setEnhanced`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.JType

`getJNISignature, getLeafType, getParameterizedQualifiedSourceName, getQualifiedBinaryName, getQualifiedSourceName, getSimpleSourceName, isAnnotation, isArray, isClass, isClassOrInterface, isEnum, isGenericType, isInterface, isParameterized, isPrimitive, isRawType, isTypeParameter, isWildcard`

### Methods inherited from interface com.google.gwt.core.ext.typeinfo.HasAnnotations

`getAnnotation, getAnnotations, getDeclaredAnnotations, isAnnotationPresent`

### Method Detail

#### getMethod

    JAnnotationMethod getMethod(java.lang.String name,
                                JType[] paramTypes)
                         throws NotFoundException

Specified by:
  `getMethod` in interface `JClassType`
Throws:
  `NotFoundException`